package com.yiqi.app.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.app.domain.AppFeedback;

/**
 * APP意见反馈Service接口
 *
 * @author ruoyi
 * @date 2023-11-08
 */
public interface IAppFeedbackService extends IService<AppFeedback> {
    /**
     * 查询APP意见反馈
     *
     * @param id APP意见反馈主键
     * @return APP意见反馈
     */
    public AppFeedback selectAppFeedbackById(Long id);

    /**
     * 查询APP意见反馈列表
     *
     * @param appFeedback APP意见反馈
     * @return APP意见反馈集合
     */
    public List<AppFeedback> selectAppFeedbackList(AppFeedback appFeedback);

    /**
     * 新增APP意见反馈
     *
     * @param appFeedback APP意见反馈
     * @return 结果
     */
    public int insertAppFeedback(AppFeedback appFeedback);

    /**
     * 修改APP意见反馈
     *
     * @param appFeedback APP意见反馈
     * @return 结果
     */
    public int updateAppFeedback(AppFeedback appFeedback);

    /**
     * 批量删除APP意见反馈
     *
     * @param ids 需要删除的APP意见反馈主键集合
     * @return 结果
     */
    public int deleteAppFeedbackByIds(Long[] ids);

    /**
     * 删除APP意见反馈信息
     *
     * @param id APP意见反馈主键
     * @return 结果
     */
    public int deleteAppFeedbackById(Long id);


    /**
     * 修改APP意见反馈状态
     *
     * @param appFeedback APP意见反馈
     * @return 结果
     */
    public int updateAppFeedbackStatus(AppFeedback appFeedback);

}
